Resources
Get Conversation
Get a specific conversation with its messages.
GET
/
api
/
v1
/
conversations
/
{id}
Get Conversation
curl --request GET \
--url https://api.example.com/api/v1/conversations/{id}import requests
url = "https://api.example.com/api/v1/conversations/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {}
}Retrieve a specific conversation, including its full message history.
Authentication
Requires a Bearer token. See Authentication.Path Parameters
string
required
The conversation UUID.
Request Examples
curl https://www.hitheo.ai/api/v1/conversations/conv_abc123 \
-H "Authorization: Bearer $THEO_API_KEY"
const conversation = await theo.conversation("conv_abc123");
Response
object
Conversation object with
id, title, messages (array), createdAt, and updatedAt.Endpoint
GET /api/v1/conversations/{id}
Requires authentication via Bearer token. See Authentication.Was this page helpful?
Get Conversation
